local E, L = unpack(select(2, ...)) -- Engine, Locale
local CO, CODE = E:LoadModules('Config', 'CustomCode')
-- General testing file for snippets etc

local Base = [[Interface\TALENTFRAME\]]

local function Test_ClassBG()
	local Tex = Base .. [[bg-druid-cat]]

	local Frame = CreateFrame('Frame', nil, E.Parent)
	Frame:SetFrameStrata('TOOLTIP')
	Frame:SetSize(420, 420)
	Frame:SetPoint('CENTER', E.Parent, 'CENTER')
	
	Frame.Tex = Frame:CreateTexture(nil)
	Frame.Tex:SetAllPoints(Frame)
	Frame.Tex:SetTexture(Tex)
	Frame.Tex:SetBlendMode('ADD')
	
	Frame.Mask = Frame:CreateMaskTexture()
	Frame.Mask:SetTexture("Interface\\AddOns\\CUI\\Textures\\Mask_Smooth-Left-Bottom", "CLAMPTOBLACKADDITIVE", "CLAMPTOBLACKADDITIVE")
	--Frame.Mask:SetSize(420, 420)
	Frame.Mask:SetAllPoints(Frame)
	
	Frame.Tex:AddMaskTexture(Frame.Mask)
	--Frame.Tex:SetVertexColor(0.40, 0.23, 0.14) -- Correct color to better overlay with BG
	--Frame.Tex:SetVertexColor(0.341, 0.250, 0.196) -- Correct color to better overlay with BG
	Frame.Tex:SetVertexColor(0.537, 0.4, 0.321) -- Correct color to better overlay with BG
	
	Frame:SetMovable(true)
	Frame:EnableMouse(true)
	Frame:RegisterForDrag("LeftButton")
	Frame:SetScript("OnDragStart", Frame.StartMoving)
	Frame:SetScript("OnDragStop", Frame.StopMovingOrSizing)
end

local function Test_SpecNamesWithIcons()
	local IconSet = E:GetAllSpecInfo()
	
	for ClassID = 1, #IconSet do
		for SpecID = 1, #IconSet[ClassID] do
			print('|T' .. (IconSet[ClassID][SpecID].IconID or 'error') .. ':0|t ' .. E:GetClassColorizedText(IconSet[ClassID][SpecID].SpecName, ClassID))
		end
	end
end

local function FindGlobal(str)
	for k,v in pairs(_G) do
		if v and type(v) == "string" and v:find(str) then
			print(k, v)
		end
	end
end

local function Sell()
	for bag = 0,4 do
		for slot=0,GetContainerNumSlots(bag) do
			local Link = GetContainerItemLink(bag, slot)
			if Link then
				local ID = GetItemInfoInstant(Link)
				
				if ID and ID == 174636 then
					UseContainerItem(bag, slot)
				end
			end
		end
	end
end

local function Test()
	--CODE:Test()
	--FindGlobal("Edelstein")
	
	local F = CreateFrame("Frame")
	F:SetScript('OnEvent', function(self, event)
		if event == 'GOSSIP_SHOW' then
			C_GossipInfo.SelectOption(1)
		end
		if event == 'MERCHANT_SHOW' then
			BuyMerchantItem(3)
			CloseMerchant()
		end
		if event == 'BAG_UPDATE' then
			C_Timer.After(0.03, Sell)
		end
	end)
F:RegisterEvent("GOSSIP_SHOW")
F:RegisterEvent("MERCHANT_SHOW")
F:RegisterEvent("MERCHANT_CLOSED")
F:RegisterEvent("BAG_UPDATE")
end

local function Debug()
	if E.Debug then
		Test()
	else
		E:print("Debug mode is disabled!")
	end
end

SlashCmdList.CUI_DEVTEST = Debug