local E, L = unpack(select(2, ...)) -- Engine, Locale
local CO, AB = E:LoadModules("Config", "Actionbars")

local LibKeyBound = LibStub('LibKeyBound-1.0-CUI')
local ExtraActionBarHolder

function AB:InitExtraActionButton()
	if InCombatLockdown() then return end
	
	-- ExtraActionBarHolder = CreateFrame('Frame', 'ExtraActionBarFrameHolder', E.Parent)
	-- ExtraActionBarHolder:SetPoint('BOTTOM', E.Parent, 'BOTTOM', 0, 150)
	-- ExtraActionBarHolder:SetSize(ExtraActionBarFrame:GetSize())
	
	-- ExtraActionBarFrame:SetParent(ExtraActionBarHolder)
	-- ExtraActionBarFrame:ClearAllPoints()
	-- ExtraActionBarFrame:SetAllPoints(ExtraActionBarHolder)
	-- ExtraActionBarFrame.ignoreFramePositionManager  = true
	
	-- E:CreateMover(ExtraActionBarHolder, "Extra Button", nil, nil, nil, nil, "actionbars")
	if not self.ExtraButtonInitialized then
		local Button = _G["ExtraActionButton1"]
		local Cooldown = _G["ExtraActionButton1Cooldown"]
		
		-- Doing this does taint the cooldown and thus the button, as lowercase cooldown already exists and would be overwritten
		-- This seems to be a special case, for some reason, as every other button has it named "Cooldown".
		-- Button.cooldown = Cooldown
		Button.Cooldown = Cooldown
		Button.Cooldown.Parent = Button
		Button.Overlay = CreateFrame("Frame", nil, Button)
		Button.Overlay:SetAllPoints(Button)
		
		self:CreateCooldownText(Button)
		hooksecurefunc(Button.Cooldown, 'SetCooldown', self.OnSetCooldown)
		
		Button:HookScript("OnEnter", function(self)
			LibKeyBound:Set(self)
		end)
		Button.GetHotkey = AB.GetHotkey
		
		E:RegisterPathFont(Button.HotKey, "db.profile.actionbar.extrabar.hotkey")
		E:RegisterPathFont(Button.Count, "db.profile.actionbar.extrabar.count")
		E:RegisterPathFont(Button.Cooldown.cooldownText, "db.profile.actionbar.extrabar.cooldown")
		
		self.ExtraButtonInitialized = true
	end
	
	AB:UpdateExtraActionButton()
end

function AB:UpdateExtraActionButton()
	if InCombatLockdown() then return end
	local db = CO.db.profile.actionbar.extrabar
	
	--E:LoadMoverPositions(ExtraActionBarHolder)
	
	ExtraActionBarFrame:SetScale(db.buttonSizeMultiplier)
	
	local Button = _G["ExtraActionButton1"]
	Button.cooldownFormat = db.cooldownFormat
end