local E, L = unpack(select(2, ...)) -- Engine, Locale
local CO, AB = E:LoadModules("Config", "Actionbars")


local LibKeyBound = LibStub('LibKeyBound-1.0-CUI')
local ZoneActionButtonHolder

local function ZoneAbility_GetHotkey(self)
	local name = "CLICK " .. self.config.keyBoundTarget .. ":LeftButton"
	local key = GetBindingKey(name)
	
	if key then
		local ShortKey = AB:GetShortHotkey(key)
		
		return ShortKey
	end
end

local function UpdateHotkey()
	local Button = ZoneAbilityFrame.SpellButton or ZoneAbilityFrame.SpellButtonContainer
	Button.HotKey:SetText(ZoneAbility_GetHotkey(Button))
end

function AB:InitZoneActionButton()
	if InCombatLockdown() then return end
	if not self.ExtraButtonInitialized then
		-- ZoneActionButtonHolder = CreateFrame('Frame', 'ZoneActionButtonHolder', E.Parent)
		-- ZoneActionButtonHolder:SetPoint('BOTTOM', E.Parent, 'BOTTOM', 0, 215)
		-- ZoneActionButtonHolder:SetSize(ZoneAbilityFrame:GetSize())
		
		-- ZoneAbilityFrame:SetParent(ZoneActionButtonHolder)
		-- ZoneAbilityFrame:ClearAllPoints()
		-- ZoneAbilityFrame:SetAllPoints(ZoneActionButtonHolder)
		-- -- hooksecurefunc(ZoneAbilityFrame, "SetPoint", function(self, _, parent)
			-- -- if parent ~= ZoneActionButtonHolder and not InCombatLockdown() then
				-- -- self:ClearAllPoints()
				-- -- self:SetParent(ZoneActionButtonHolder)
				-- -- self:SetAllPoints(ZoneActionButtonHolder)
			-- -- end
		-- -- end)
		
		-- ZoneAbilityFrame.ignoreFramePositionManager = true
		-- E:CreateMover(ZoneActionButtonHolder, "Zone Button", nil, nil, nil, nil, "actionbars")
		
		local Button = ZoneAbilityFrame.SpellButton or ZoneAbilityFrame.SpellButtonContainer
		--local Button = ZoneAbilityFrame.SpellButtonContainer.chargeCooldown
		
		-- Button:HookScript("OnEnter", function(self)
			-- LibKeyBound:Set(self)
		-- end)
		
		-- /dump GetBindingKey("CLICK CUIZONEABILITYBUTTON:LeftButton")
		-- This hidden button serves the only purpose to act as a keybind target to use the real ZoneAbility spell button.
		-- This wouldn't be neccessary if the actual Spell Button would be named, but here we are, i guess.
		----------------
		-- As of 9.0, we cannot click this button through code anymore. F
			-- local ButtonName = "CUIZONEABILITYBUTTON"
			-- Button.CustomClick = CreateFrame("button", ButtonName, nil, "SecureActionButtonTemplate");
			-- Button.CustomClick:SetAttribute("type", "click");
			-- Button.CustomClick:SetAttribute("clickbutton", Button);
			-- Button.config = {}
			-- Button.config.keyBoundTarget = ButtonName
			-- Button.GetHotkey = ZoneAbility_GetHotkey
			
			-- Button.HotKey = E:NewFontObject(nil, nil, Button, 10)
			-- Button.overrideName = ButtonName
		
		-- Since 9.0, the cooldown, spellbutton and text objects only are created on first show
		
		local function SetupButton(self, template)
			if template ~= "ZoneAbilityFrameSpellButtonTemplate" then return end
			if not Button.cooldown then
				Button.Overlay = CreateFrame("Frame", nil, Button)
				Button.Overlay:SetAllPoints(Button)
				
				Button.cooldown = Button.Cooldown
				Button.cooldown.Parent = Button
				
				AB:CreateCooldownText(Button)
				hooksecurefunc(Button.cooldown, 'SetCooldown', AB.OnSetCooldown)
				
				E:RegisterPathFont(Button.HotKey, "db.profile.actionbar.zonebar.hotkey")
				E:RegisterPathFont(Button.Count, "db.profile.actionbar.zonebar.count")
				E:RegisterPathFont(Button.cooldown.cooldownText, "db.profile.actionbar.zonebar.cooldown")
			end
		end
		
		if E:IsRunningShadowlands() then
			hooksecurefunc(Button, "SetTemplate", function(self, template)
				SetupButton(self, template)
			end)
		else
			SetupButton(Button, "ZoneAbilityFrameSpellButtonTemplate")
		end
	end
	
	AB:UpdateZoneActionButton()
end

function AB:UpdateZoneActionButtonBinding()
	--UpdateHotkey()
end

function AB:UpdateZoneActionButton()
	if InCombatLockdown() then return end
	local db = CO.db.profile.actionbar["zonebar"]
	
	--E:LoadMoverPositions(ZoneActionButtonHolder)
	
	ZoneAbilityFrame:SetScale(db.buttonSizeMultiplier)
	
	local Button = ZoneAbilityFrame.SpellButton or ZoneAbilityFrame.SpellButtonContainer
	Button.cooldownFormat = db.cooldownFormat
end