local E = unpack(select(2, ...)) -- Engine, Locale
local CO, ItemDB, Module = E:LoadModules("Config", "ItemDB", "Blizzard_MoneyFrame")
Module.Autoload = true

local _
local RAID_CLASS_COLORS		 	= RAID_CLASS_COLORS
local HONOR_LIFETIME		 	= HONOR_LIFETIME

local function OnEnter(self)
	GameTooltip:SetOwner(ContainerFrame1MoneyFrame, 'TOPLEFT')
	
	local Data = ItemDB:GetCurrencyInfo('Money')
	if not Data or Data.Total < 1 then GameTooltip:Hide(); return end
	
	local Color = {}
	GameTooltip:AddLine(HONOR_LIFETIME .. ": " .. E:FormatMoney(Data.Total, true))
	GameTooltip:AddLine(' ')
	
	for name, charData in pairs(Data.Chars) do
		if charData.current > 0 then
			Color = RAID_CLASS_COLORS[charData.Class or "PRIEST"]
			GameTooltip:AddDoubleLine(name, E:FormatMoney(charData.current, true), Color.r, Color.g, Color.b, Color.r, Color.g, Color.b)
		end
	end
	
	GameTooltip:Show()
end

local function OnLeave(self)
	GameTooltip:Hide()
end

local Frames = {ContainerFrame1MoneyFrameGoldButton, ContainerFrame1MoneyFrameSilverButton, ContainerFrame1MoneyFrameCopperButton}
function Module:Init()
	for _, Frame in pairs(Frames) do
		Frame:EnableMouse(true)
		Frame:HookScript('OnEnter', OnEnter)
		Frame:HookScript('OnLeave', OnLeave)
	end
end

E:AddModule("Blizzard_MoneyFrame", Module)