local E, L = unpack(CUI) -- Engine
local CO, CD = E:LoadModules("Config", "Config_Dialog")


CD.Options.args.character = {
	type = "group",
	name = '|cff1784d1' .. CHARACTER .. '|r',
	order = 2,
	childGroups = "tab",
	args = {
		note = {
			type = 'description',
			name = "|cff1784d1" .. L["CharacterWideNote"] .. "|r",
			order = 1,
		},
		masqueGroup = {
			type = "group",
			name = "Masque",
			order = 5,
			args = {
				-- masqueHeader = {
					-- name = "Masque",
					-- type = "header",
					-- order = 2,
				-- },
				actionbars = {
					type = "toggle",
					order = 5,
					name = L["Actionbars"],
					desc = L["UseMasqueDesc"],
					get = function() return CO.db.char.actionbar.useMasque end,
					set = function(info, value) CO.db.char.actionbar.useMasque = value; CD:ShowNotification("CHARACTERSETTING_NOTIFICATION") end,
				},
				bags = {
					type = "toggle",
					order = 10,
					name = L["Bags"],
					desc = L["UseMasqueDesc"],
					get = function() return CO.db.char.bags.useMasque end,
					set = function(info, value) CO.db.char.bags.useMasque = value; CD:ShowNotification("CHARACTERSETTING_NOTIFICATION") end,
				},
				spacer_01 = {type='description',name='',order=14},
				aurasBuffs = {
					type = "toggle",
					order = 15,
					name = L["Buffs"],
					desc = L["UseMasqueDesc"],
					get = function() return CO.db.char.unitframe.buffs.useMasque end,
					set = function(info, value) CO.db.char.unitframe.buffs.useMasque = value; CD:ShowNotification("CHARACTERSETTING_NOTIFICATION") end,
				},
				aurasDebuffs = {
					type = "toggle",
					order = 20,
					name = L["Debuffs"],
					desc = L["UseMasqueDesc"],
					get = function() return CO.db.char.unitframe.debuffs.useMasque end,
					set = function(info, value) CO.db.char.unitframe.debuffs.useMasque = value; CD:ShowNotification("CHARACTERSETTING_NOTIFICATION") end,
				},
				spacer_02 = {type='description',name='',order=24},
				unitBuffs = {
					type = "toggle",
					order = 25,
					name = L["unit"] .. " " .. L["Buffs"],
					desc = L["UseMasqueDesc"],
					get = function() return CO.db.char.unitframe.unitBuffs.useMasque end,
					set = function(info, value) CO.db.char.unitframe.unitBuffs.useMasque = value; CD:ShowNotification("CHARACTERSETTING_NOTIFICATION") end,
				},
				unitDebuffs = {
					type = "toggle",
					order = 30,
					name = L["unit"] .. " " .. L["Debuffs"],
					desc = L["UseMasqueDesc"],
					get = function() return CO.db.char.unitframe.unitDebuffs.useMasque end,
					set = function(info, value) CO.db.char.unitframe.unitDebuffs.useMasque = value; CD:ShowNotification("CHARACTERSETTING_NOTIFICATION") end,
				},
				spacer_03 = {type='description',name='',order=34},
				aurabars = {
					type = "toggle",
					order = 35,
					name = L["Aura Bars"],
					desc = L["UseMasqueDesc"],
					get = function() return CO.db.char.auras.generalAurabars.useMasque end,
					set = function(info, value) CO.db.char.auras.generalAurabars.useMasque = value; CD:ShowNotification("CHARACTERSETTING_NOTIFICATION") end,
				},
			},
		},
		nameplateGroup = {
			type = "group",
			name = L["Nameplates"],
			order = 10,
			args = {
				CVarHeader = {
					type = "header",
					order = 0,
					name = L["CVars"],
				},
				showPlayerNameplate = {
					type = "toggle",
					order = 1,
					name = DISPLAY_PERSONAL_RESOURCE,
					desc = L["Personal Nameplate Desc"] .. " " .. L["CVarsDesc"],
					get = function() return E:GetBlizzCVar("nameplateShowSelf", true) end,
					set = function(info, value) CO.db.profile.CVars.nameplateShowSelf = value; SetCVar("nameplateShowSelf", value, DISPLAY_PERSONAL_RESOURCE) end,
				},
				nameplateShowAll = {
					type = "toggle",
					order = 2,
					name = UNIT_NAMEPLATES_AUTOMODE,
					desc = L["ShowAllNameplatesDesc"] .. " " .. L["CVarsDesc"],
					get = function() return E:GetBlizzCVar("nameplateShowAll", true) end,
					set = function(info, value) CO.db.profile.CVars.nameplateShowAll = value; SetCVar("nameplateShowAll", value, "UNIT_NAMEPLATES_AUTOMODE") end,
				},
				
				ModuleHeader = {
					type = "header",
					order = 10,
					name = L["General"],
				},
				enableOverride = {
					type = "toggle",
					order = 11,
					name = L["EnableModule"],
					desc = "When enabled, CUI will handle most of the nameplate functionality",
					get = function() return CO.db.char.nameplates.enable end,
					set = function(info, value) CO.db.char.nameplates.enable = value; CD:ShowNotification("CHARACTERSETTING_NOTIFICATION") end,
				},
			},
		},
		actionbarGroup = {
			type = "group",
			name = L["Actionbars"],
			order = 15,
			args = {
				enableOverride = {
					type = "toggle",
					order = 1,
					width = "full",
					name = "Override Spell Queue Window",
					desc = "When enabled, CUI override the Spell Queue Window CVar",
					get = function() return CO.db.char.CVars.overrideSpellQueueWindow end,
					set = function(info, value) CO.db.char.CVars.overrideSpellQueueWindow = value; if not value then CD:ShowNotification("CHARACTERSETTING_NOTIFICATION") end end,
				},
				spellQueue = {
					order = 2,
					type = 'range',
					name = 'Spell Queue Window',
					desc = 'Overrides WoW\'s time how long a used spell is being kept in a queue before executing when it becomes ready. Time is in milliseconds.\n\nNote: Default value is 400!',
					min = 0, max = 400, step = 1,
					width = "full",
					get = function() return CO.db.char.CVars.spellQueueWindow end,
					set = function(info, value) CO.db.char.CVars.spellQueueWindow = value; E:UpdateCVars(); end,
					hidden = function() return not CO.db.char.CVars.overrideSpellQueueWindow end,
				},
			},
		},
	},
}